/*
div p {
	background-color: red;
}

section p {
	background-color: red;
}


body div {
	background-color: red;
}


form label {
	background-color: red;
}

body h2 {
	background-color: red;
}

body .parent p {
	background-color: pink;
}
*/
/* Combinator Selectors*/

/* 1. Descendant Selector (Whitespace)*/


/* 2. Child Selector*/
/*
div > p {
	background-color: lightblue;
}
 .parent > section {
	background-color: red;
}
*/
/* 3. Adjacent Sibling Selector ( + ) 

 p + p {

	background-color: coral;
 }


p + section {
	background-color: green;
} */

/*div + p + p{
background-color: green;
} */


/* 4. General Sibling Selector (~) */

p~p {
	background-color: teal;
}